. if not, NULL *interp is dereferenced
}
}
+ if(!interp)
+ return ENOEXEC;
+
/* Round *stk_bytes up to the size of a pointer for alignment contraints. */
*stk_bytes= ((*stk_bytes + PTRSIZE - 1) / PTRSIZE) * PTRSIZE;
}
}
+ if(!interp)
+ return ENOEXEC;
+
/* Round *stk_bytes up to the size of a pointer for alignment contraints. */
*stk_bytes= ((*stk_bytes + PTRSIZE - 1) / PTRSIZE) * PTRSIZE;
41 42 43 44 45 45-gcc 46 47 48 49 49-gcc 50 \
51 51-gcc 52 52-gcc 53 54 55 56 57 58 59\
60 61 \
- sh1.sh sh2.sh"
+ sh1.sh sh2.sh interp.sh"
tests_no=`expr 0`
# Directory must be owned by bin
--- /dev/null
+#!/bin/sh
+
+# See if the system can handle an unexpected whitespace-only interpreter line
+
+echo -n "Test interpreter "
+
+set -e
+TMPSH=tst$$.sh
+rm -f $TMPSH
+echo '#! ' >$TMPSH
+chmod 755 $TMPSH
+./$TMPSH || true
+rm -f $TMPSH
+echo "ok"